import Vue from 'vue'
import Vuex from 'vuex'
import login from './modules/login'
import channel from './modules/channel'
import course from './modules/course'
import getters from './getter'
import relation from './modules/relation'
import order from './modules/order'
import operation from './modules/operation'
Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    login,
    channel,
    course,
    relation,
    order,
    operation
  },
  getters
})

export default store
